Project

General

Profile

Bug #692

prelude-correlator 1.2.6 fail to start

Added by oran geade about 3 years ago. Updated about 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
01/26/2016
Due date:
% Done:

0%

Resolution:

Description

Hello,

I failed to start prelude-correlator V1.2.6.

$ /usr/local/bin/prelude-correlator
Traceback (most recent call last):
File "/usr/local/bin/prelude-correlator", line 9, in <module>
load_entry_point('prelude-correlator==1.2.6', 'console_scripts', 'prelude-correlator')()
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 250, in main
runCorrelator()
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 194, in runCorrelator
env = Env(options)
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 44, in init
context.load(self)
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/context.py", line 344, in load
_CONTEXT_TABLE.update(pickle.load(fd))
File "/usr/lib/python2.7/pickle.py", line 1378, in load
return Unpickler(file).load()
File "/usr/lib/python2.7/pickle.py", line 858, in load
dispatch[key](self)
File "/usr/lib/python2.7/pickle.py", line 1090, in load_global
klass = self.find_class(module, name)
File "/usr/lib/python2.7/pickle.py", line 1124, in find_class
import(module)
ImportError: No module named PreludeCorrelator.context

When I try do link the good directory name : ln -s /usr/local/lib/python2.7/dist-packages/ preludecorrelator /usr/local/lib/python2.7/dist-packages/ PreludeCorrelator
I've got an other error :

$ /usr/local/bin/prelude-correlator
Traceback (most recent call last):
File "/usr/local/bin/prelude-correlator", line 9, in <module>
load_entry_point('prelude-correlator==1.2.6', 'console_scripts', 'prelude-correlator')()
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 250, in main
runCorrelator()
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 194, in runCorrelator
env = Env(options)
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/main.py", line 44, in init
context.load(self)
File "/usr/local/lib/python2.7/dist-packages/preludecorrelator/context.py", line 344, in load
CONTEXT_TABLE.update(pickle.load(fd))
File "/usr/lib/python2.7/pickle.py", line 1378, in load
return Unpickler(file).load()
File "/usr/lib/python2.7/pickle.py", line 858, in load
dispatch[key](self)
File "/usr/lib/python2.7/pickle.py", line 1133, in load_reduce
value = func(*args)
File "/usr/lib/python2.7/copy_reg.py", line 48, in _reconstructor
obj = object.
_new__(cls)
TypeError: object.__new__(Context) is not safe, use prelude.IDMEF.__new__()

Do you have any idea ?

Best regards,

History

#1 Updated by Antoine LUONG about 3 years ago

Hello,

Please try removing the context file that should be located in /var/lib/prelude-correlator/context.dat.

Regards

#2 Updated by oran geade about 3 years ago

Hello,

Thanks, it works.

Regards,

#3 Updated by Antoine LUONG about 3 years ago

  • Status changed from New to Resolved

#4 Updated by Thomas ANDREJAK about 3 years ago

  • Status changed from Resolved to Closed
  • Assignee set to Antoine LUONG

Also available in: Atom PDF